/*
 * regex.h -- regular expression definitions for lsof
 *
 * This header file is used only when the dialect has no POSIX-conformant
 * regular expression function set.  When that is the case, the dialect's
 * machine.h will define USE_LIB_REGEX.
 *
 * When the dialect has a POSIX-conformant regular expression function set,
 * USE_LIB_REGEX is not defined and this header file #include's <regex.h>.
 *
 * V. Abell <abe@purdue.edu>
 * Purdue University
 */


/*
 * Copyright 2000 Purdue Research Foundation, West Lafayette, Indiana
 * 47907.  All rights reserved.
 *
 * Written by Victor A. Abell
 *
 * This software is not subject to any license of the American Telephone
 * and Telegraph Company or the Regents of the University of California.
 *
 * This software has been adapted from snprintf.c in sendmail 8.9.3.  It
 * is subject to the sendmail copyright statements listed below, and the
 * sendmail licensing terms stated in the sendmail LICENSE file comment
 * section of this file.
 *
 * Permission is granted to anyone to use this software for any purpose on
 * any computer system, and to alter it and redistribute it freely, subject
 * to the following restrictions:
 *
 * 1. Neither the authors nor Purdue University are responsible for any
 *    consequences of the use of this software.
 *
 * 2. The origin of this software must not be misrepresented, either by
 *    explicit claim or by omission.  Credit to the authors and Purdue
 *    University must appear in documentation and sources.
 *
 * 3. Altered versions must be plainly marked as such, and must not be
 *    misrepresented as being the original software.
 *
 * 4. This notice may not be removed or altered.
 */


#ifdef	USE_LIB_REGEX
#error Sorry
#else	/* !defined(USE_LIB_REGEX) */
#include <regex.h>
#endif	/* defined(USE_LIB_REGEX) */
